@PublicApi @ReturnValuesAreNonnullByDefault @ParametersAreNonnullByDefault public interface RequestTypeService
RequestType.RequestTypeQuery.Builder newQueryBuilder()
RequestTypeQuery.Builder to build RequestTypeQuery.@Nonnull PagedResponse<RequestType> getRequestTypes(@Nullable com.atlassian.jira.user.ApplicationUser user, @Nonnull RequestTypeQuery requestTypeQuery)
RequestType that satisfy the query parameters.user - the user executing the requestsrequestTypeQuery - the query parametersRequestTypeServiceDeskServiceException - on errorRequestTypeCreateParameters.Builder newCreateBuilder()
RequestTypeCreateParameters.Builder to build RequestTypeCreateParameters.RequestType createRequestType(com.atlassian.jira.user.ApplicationUser user, RequestTypeCreateParameters requestTypeCreateParameters)
RequestType using the provided RequestTypeCreateParameters.
user - the user executing the requestrequestTypeCreateParameters - params used to create a new RequestTypeRequestTypeServiceDeskServiceException - on errorRequestTypeDeleteParameters.Builder newDeleteBuilder()
RequestTypeUpdateParameters.Builder to build RequestTypeUpdateParameters.RequestType deleteRequestType(com.atlassian.jira.user.ApplicationUser user, RequestTypeDeleteParameters requestTypeDeleteParameters)
RequestType with using the provided RequestTypeDeleteParameters.
Executing user must have permission to perform the request.
user - the user executing the requestrequestTypeDeleteParameters - params used to delete the RequestTypeRequestTypeServiceDeskServiceException - on errorRequestTypeUpdateParameters.Builder newUpdateBuilder()
RequestTypeUpdateParameters.Builder to build RequestTypeUpdateParameters.RequestType updateRequestType(com.atlassian.jira.user.ApplicationUser user, RequestTypeUpdateParameters requestTypeUpdateParameters)
RequestType with using the provided RequestTypeUpdateParameters.
Executing user must have permission to perform the request.
user - the user executing the requestrequestTypeUpdateParameters - params used to update the RequestTypeRequestTypeServiceDeskServiceException - on errorCopyright © 2022 Atlassian. All rights reserved.